Package com.xebialabs.xlrelease.plugins.dashboard.domain

# Class CustomTileConfig

java.lang.Object
com.xebialabs.xlrelease.plugins.dashboard.domain.CustomTileConfig

public class CustomTileConfig extends Object
Data object representing a custom reporting tile configuration stored in XLR_AI_CUSTOM_TILES table. This is a POJO (Plain Old Java Object) that holds the configuration for a custom tile that can be added to dashboards. The configuration includes the NL2SQL query DSL, chart type, and rendering options.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CustomTileConfig()`
  `CustomTileConfig(UUID id, String title, String owner, String description, String domain, String scope, String originalUserQuery, tools.jackson.databind.JsonNode queryDsl, String chartType, String chartTitle, String colorStrategy, OffsetDateTime createdAt, OffsetDateTime updatedAt, boolean isActive)`
  `CustomTileConfig(UUID id, String title, String owner, String description, String domain, String scope, String originalUserQuery, tools.jackson.databind.JsonNode queryDsl, String chartType, String chartTitle, String colorStrategy, OffsetDateTime createdAt, OffsetDateTime updatedAt, boolean isActive, String dashboardId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getChartTitle()`
  `String`
  `getChartType()`
  `String`
  `getColorStrategy()`
  `OffsetDateTime`
  `getCreatedAt()`
  `String`
  `getDashboardId()`
  `String`
  `getDescription()`
  `String`
  `getDomain()`
  `UUID`
  `getId()`
  `String`
  `getOriginalUserQuery()`
  `String`
  `getOwner()`
  `tools.jackson.databind.JsonNode`
  `getQueryDsl()`
  `String`
  `getScope()`
  `String`
  `getTitle()`
  `OffsetDateTime`
  `getUpdatedAt()`
  `boolean`
  `isActive()`
  `void`
  `setActive(boolean active)`
  `void`
  `setChartTitle(String chartTitle)`
  `void`
  `setChartType(String chartType)`
  `void`
  `setColorStrategy(String colorStrategy)`
  `void`
  `setCreatedAt(OffsetDateTime createdAt)`
  `void`
  `setDashboardId(String dashboardId)`
  `void`
  `setDescription(String description)`
  `void`
  `setDomain(String domain)`
  `void`
  `setId(UUID id)`
  `void`
  `setOriginalUserQuery(String originalUserQuery)`
  `void`
  `setOwner(String owner)`
  `void`
  `setQueryDsl(tools.jackson.databind.JsonNode queryDsl)`
  `void`
  `setScope(String scope)`
  `void`
  `setTitle(String title)`
  `void`
  `setUpdatedAt(OffsetDateTime updatedAt)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CustomTileConfig

    public CustomTileConfig()

  - ### CustomTileConfig

    public CustomTileConfig(UUID id, String title, String owner, String description, String domain, String scope, String originalUserQuery, tools.jackson.databind.JsonNode queryDsl, String chartType, String chartTitle, String colorStrategy, OffsetDateTime createdAt, OffsetDateTime updatedAt, boolean isActive)

  - ### CustomTileConfig

    public CustomTileConfig(UUID id, String title, String owner, String description, String domain, String scope, String originalUserQuery, tools.jackson.databind.JsonNode queryDsl, String chartType, String chartTitle, String colorStrategy, OffsetDateTime createdAt, OffsetDateTime updatedAt, boolean isActive, String dashboardId)

- ## Method Details

  - ### getId

    public UUID getId()

  - ### setId

    public void setId(UUID id)

  - ### getTitle

    public String getTitle()

  - ### setTitle

    public void setTitle(String title)

  - ### getOwner

    public String getOwner()

  - ### setOwner

    public void setOwner(String owner)

  - ### getDescription

    public String getDescription()

  - ### setDescription

    public void setDescription(String description)

  - ### getDomain

    public String getDomain()

  - ### setDomain

    public void setDomain(String domain)

  - ### getScope

    public String getScope()

  - ### setScope

    public void setScope(String scope)

  - ### getOriginalUserQuery

    public String getOriginalUserQuery()

  - ### setOriginalUserQuery

    public void setOriginalUserQuery(String originalUserQuery)

  - ### getQueryDsl

    public tools.jackson.databind.JsonNode getQueryDsl()

  - ### setQueryDsl

    public void setQueryDsl(tools.jackson.databind.JsonNode queryDsl)

  - ### getChartType

    public String getChartType()

  - ### setChartType

    public void setChartType(String chartType)

  - ### getChartTitle

    public String getChartTitle()

  - ### setChartTitle

    public void setChartTitle(String chartTitle)

  - ### getColorStrategy

    public String getColorStrategy()

  - ### setColorStrategy

    public void setColorStrategy(String colorStrategy)

  - ### getCreatedAt

    public OffsetDateTime getCreatedAt()

  - ### setCreatedAt

    public void setCreatedAt(OffsetDateTime createdAt)

  - ### getUpdatedAt

    public OffsetDateTime getUpdatedAt()

  - ### setUpdatedAt

    public void setUpdatedAt(OffsetDateTime updatedAt)

  - ### isActive

    public boolean isActive()

  - ### setActive

    public void setActive(boolean active)

  - ### getDashboardId

    public String getDashboardId()

  - ### setDashboardId

    public void setDashboardId(String dashboardId)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`